MCPBundler Docs
MCPBundler Docs
Back to marketplaceGetting StartedAuthenticationTutorial - Bundle to Connected Agent
API Reference
Agent A2A Tools
Agent Channels
Agent Configuration (Staging)
Agent Configuration (Versions)
Agent Tools
Agents
Auth
Billing
Bundler
Bundler Tool
Bundles
Call Campaigns
Catalog
Conversations
Credentials
Create CredentialDelete CredentialList Credential AssignmentsList CredentialsUpdate Credential
Deployments
Discover
Embedding
Fleet
Knowledge Bases
LLM
MCP Listings
Media
OAuth Clients
OAuth2
Observability
Organisations
Realtime
Reviews
Roadmap
SCIM
STT
Suppression
Triggers
TTS
Users
Utils
Voices
Webhooks
Workflows
API ReferenceCredentials

List Credentials

GET
/v1/credentials

List one organisation's credentials, most recently created first by default.

org_id omitted means the caller's personal organisation; given, the caller must be a member of it.

Authorization

OAuth2AuthorizationCodeBearer
AuthorizationBearer <token>

In: header

Query Parameters

org_id?|null
vendor?string|null
auth_type?|null
created_at?array<string>|

Filter by creation time, FHIR-style prefixed datetime search

updated_at?array<string>|

Filter by last-updated time, FHIR-style prefixed datetime search

_sort?|

Sort field with optional - prefix for descending. Supported: created_at, updated_at

verify_locally?Verify Locally
Defaulttrue
_count? Count
Range1 <= value <= 100
Default100
_page? Page
Range1 <= value
Default1

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/credentials"
{  "page": 0,  "page_size": 0,  "has_next": true,  "has_previous": true,  "total_pages": 0,  "items": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "org_id": "a40f5d1f-d889-42e9-94ea-b9b33585fc6b",      "creator_id": "9cceffdd-8381-4074-8256-eafae24ebee6",      "auth_type": "api_key",      "source": "inline",      "label": "string",      "vendor": "string",      "oauth_email": "string",      "oauth_expires_at": "2019-08-24T14:15:22Z",      "config_json": "string",      "is_provisional": false,      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z",      "usage_count": 0    }  ]}
{  "detail": [    {      "loc": [        "string"      ],      "msg": "string",      "type": "string"    }  ]}

List Credential Assignments

Previous Page

Update Credential

Next Page